# SquareConnect::Card

### Description

Represents the payment details of a card to be used for payments. These details are determined by the `card_nonce` generated by `SqPaymentForm`.

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** | Unique ID for this card. Generated by Square. | [optional] 
**card_brand** | **String** | The card&#39;s brand (such as &#x60;VISA&#x60;). See [CardBrand](#type-cardbrand) for possible values | [optional] 
**last_4** | **String** | The last 4 digits of the card number. | [optional] 
**exp_month** | **Integer** | The expiration month of the associated card as an integer between 1 and 12. | [optional] 
**exp_year** | **Integer** | The four-digit year of the card&#39;s expiration date. | [optional] 
**cardholder_name** | **String** | The name of the cardholder. | [optional] 
**billing_address** | [**Address**](Address.md) | The billing address for this card. | [optional] 
**fingerprint** | **String** | A unique, Square-assigned ID that identifies the card across multiple locations and applications for a single Square account. | [optional] 


