# SquareConnect::CreateCustomerCardRequest

### Description

Defines the fields that are included in the request body of a request to the CreateCustomerCard endpoint.

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**card_nonce** | **String** | A card nonce representing the credit card to link to the customer.  Card nonces are generated by the &#x60;SqPaymentForm&#x60; that buyers enter their card information into. See [Embedding the payment form](/payment-form/payment-form-walkthrough) for more information.  __Note:__ Card nonces generated by digital wallets (e.g., Apple Pay) cannot be used to create a customer card. | 
**billing_address** | [**Address**](Address.md) | Address information for the card on file. Only the &#x60;postal_code&#x60; field is required for payments in the US and Canada. | [optional] 
**cardholder_name** | **String** | The full name printed on the credit card. | [optional] 
**verification_token** | **String** | An identifying token generated by &#x60;SqPaymentForm.verifyBuyer()&#x60;. Verification tokens encapsulate customer device information and 3-D Secure challenge results to indicate that Square has verified the buyer identity. | [optional] 


