# SquareConnect::ErrorCode

### Description

Indicates specific errors that can occur during a request to the Connect API.

## Properties
Name | Type
------------ | -------------
**INTERNAL_SERVER_ERROR** | string
**UNAUTHORIZED** | string
**ACCESS_TOKEN_EXPIRED** | string
**ACCESS_TOKEN_REVOKED** | string
**FORBIDDEN** | string
**INSUFFICIENT_SCOPES** | string
**APPLICATION_DISABLED** | string
**V1_APPLICATION** | string
**V1_ACCESS_TOKEN** | string
**CARD_PROCESSING_NOT_ENABLED** | string
**BAD_REQUEST** | string
**MISSING_REQUIRED_PARAMETER** | string
**INCORRECT_TYPE** | string
**INVALID_TIME** | string
**INVALID_TIME_RANGE** | string
**INVALID_VALUE** | string
**INVALID_CURSOR** | string
**UNKNOWN_QUERY_PARAMETER** | string
**CONFLICTING_PARAMETERS** | string
**EXPECTED_JSON_BODY** | string
**INVALID_SORT_ORDER** | string
**VALUE_REGEX_MISMATCH** | string
**VALUE_TOO_SHORT** | string
**VALUE_TOO_LONG** | string
**VALUE_TOO_LOW** | string
**VALUE_TOO_HIGH** | string
**VALUE_EMPTY** | string
**ARRAY_LENGTH_TOO_LONG** | string
**ARRAY_LENGTH_TOO_SHORT** | string
**ARRAY_EMPTY** | string
**EXPECTED_BOOLEAN** | string
**EXPECTED_INTEGER** | string
**EXPECTED_FLOAT** | string
**EXPECTED_STRING** | string
**EXPECTED_OBJECT** | string
**EXPECTED_ARRAY** | string
**EXPECTED_MAP** | string
**EXPECTED_BASE64_ENCODED_BYTE_ARRAY** | string
**INVALID_ARRAY_VALUE** | string
**INVALID_ENUM_VALUE** | string
**INVALID_CONTENT_TYPE** | string
**INVALID_FORM_VALUE** | string
**ONE_INSTRUMENT_EXPECTED** | string
**NO_FIELDS_SET** | string
**DEPRECATED_FIELD_SET** | string
**RETIRED_FIELD_SET** | string
**CARD_EXPIRED** | string
**INVALID_EXPIRATION** | string
**INVALID_EXPIRATION_YEAR** | string
**INVALID_EXPIRATION_DATE** | string
**UNSUPPORTED_CARD_BRAND** | string
**UNSUPPORTED_ENTRY_METHOD** | string
**INVALID_ENCRYPTED_CARD** | string
**INVALID_CARD** | string
**DELAYED_TRANSACTION_EXPIRED** | string
**DELAYED_TRANSACTION_CANCELED** | string
**DELAYED_TRANSACTION_CAPTURED** | string
**DELAYED_TRANSACTION_FAILED** | string
**CARD_TOKEN_EXPIRED** | string
**CARD_TOKEN_USED** | string
**AMOUNT_TOO_HIGH** | string
**UNSUPPORTED_INSTRUMENT_TYPE** | string
**REFUND_AMOUNT_INVALID** | string
**REFUND_ALREADY_PENDING** | string
**PAYMENT_NOT_REFUNDABLE** | string
**INVALID_CARD_DATA** | string
**LOCATION_MISMATCH** | string
**IDEMPOTENCY_KEY_REUSED** | string
**UNEXPECTED_VALUE** | string
**SANDBOX_NOT_SUPPORTED** | string
**INVALID_EMAIL_ADDRESS** | string
**INVALID_PHONE_NUMBER** | string
**CHECKOUT_EXPIRED** | string
**BAD_CERTIFICATE** | string
**INVALID_SQUARE_VERSION_FORMAT** | string
**API_VERSION_INCOMPATIBLE** | string
**CARD_DECLINED** | string
**VERIFY_CVV_FAILURE** | string
**VERIFY_AVS_FAILURE** | string
**CARD_DECLINED_CALL_ISSUER** | string
**NOT_FOUND** | string
**APPLE_PAYMENT_PROCESSING_CERTIFICATE_HASH_NOT_FOUND** | string
**METHOD_NOT_ALLOWED** | string
**NOT_ACCEPTABLE** | string
**REQUEST_TIMEOUT** | string
**CONFLICT** | string
**REQUEST_ENTITY_TOO_LARGE** | string
**UNSUPPORTED_MEDIA_TYPE** | string
**RATE_LIMITED** | string
**NOT_IMPLEMENTED** | string
**SERVICE_UNAVAILABLE** | string
**GATEWAY_TIMEOUT** | string


