# SquareConnect::Transaction

### Description

Represents a transaction processed with Square, either with the Connect API or with Square Point of Sale.  The `tenders` field of this object lists all methods of payment used to pay in the transaction.

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **String** | The transaction&#39;s unique ID, issued by Square payments servers. | [optional] 
**location_id** | **String** | The ID of the transaction&#39;s associated location. | [optional] 
**created_at** | **String** | The time when the transaction was created, in RFC 3339 format. | [optional] 
**tenders** | [**Array&lt;Tender&gt;**](Tender.md) | The tenders used to pay in the transaction. | [optional] 
**refunds** | [**Array&lt;Refund&gt;**](Refund.md) | Refunds that have been applied to any tender in the transaction. | [optional] 
**reference_id** | **String** | If the transaction was created with the [Charge](#endpoint-transactions-charge) endpoint, this value is the same as the value provided for the &#x60;reference_id&#x60; parameter in the request to that endpoint. Otherwise, it is not set. | [optional] 
**product** | **String** | The Square product that processed the transaction. See [TransactionProduct](#type-transactionproduct) for possible values | [optional] 
**client_id** | **String** | If the transaction was created in the Square Point of Sale app, this value is the ID generated for the transaction by Square Point of Sale.  This ID has no relationship to the transaction&#39;s canonical &#x60;id&#x60;, which is generated by Square&#39;s backend servers. This value is generated for bookkeeping purposes, in case the transaction cannot immediately be completed (for example, if the transaction is processed in offline mode).  It is not currently possible with the Connect API to perform a transaction lookup by this value. | [optional] 
**shipping_address** | [**Address**](Address.md) | The shipping address provided in the request, if any. | [optional] 
**order_id** | **String** | The order_id is an identifier for the order associated with this transaction, if any. | [optional] 


