=begin
#Square Connect API

OpenAPI spec version: 2.0
Contact: developers@squareup.com
Generated by: https://github.com/swagger-api/swagger-codegen.git

=end

require 'spec_helper'
require 'json'

# Unit tests for SquareConnect::V1TransactionsApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'V1TransactionsApi' do
  before do
    # run before each test
    @instance = SquareConnect::V1TransactionsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of V1TransactionsApi' do
    it 'should create an instact of V1TransactionsApi' do
      expect(@instance).to be_instance_of(SquareConnect::V1TransactionsApi)
    end
  end

  # unit tests for create_refund
  # Issues a refund for a previously processed payment. You must issue a refund within 60 days of the associated payment.
  # Issues a refund for a previously processed payment. You must issue a refund within 60 days of the associated payment.
  # @param location_id The ID of the original payment&#39;s associated location.
  # @param body An object containing the fields to POST for the request.  See the corresponding object definition for field details.
  # @param [Hash] opts the optional parameters
  # @return [V1Refund]
  describe 'create_refund test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_bank_accounts
  # Provides non-confidential details for all of a location&#39;s associated bank accounts. This endpoint does not provide full bank account numbers, and there is no way to obtain a full bank account number with the Connect API.
  # Provides non-confidential details for all of a location&#39;s associated bank accounts. This endpoint does not provide full bank account numbers, and there is no way to obtain a full bank account number with the Connect API.
  # @param location_id The ID of the location to list bank accounts for.
  # @param [Hash] opts the optional parameters
  # @return [Array<V1BankAccount>]
  describe 'list_bank_accounts test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_orders
  # Provides summary information for a merchant&#39;s online store orders.
  # Provides summary information for a merchant&#39;s online store orders.
  # @param location_id The ID of the location to list online store orders for.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :order TThe order in which payments are listed in the response.
  # @option opts [Integer] :limit The maximum number of payments to return in a single response. This value cannot exceed 200.
  # @return [Array<V1Order>]
  describe 'list_orders test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_payments
  # Provides summary information for all payments taken by a merchant or any of the merchant&#39;s mobile staff during a date range. Date ranges cannot exceed one year in length. See Date ranges for details of inclusive and exclusive dates.
  # Provides summary information for all payments taken by a merchant or any of the merchant&#39;s mobile staff during a date range. Date ranges cannot exceed one year in length. See Date ranges for details of inclusive and exclusive dates.
  # @param location_id The ID of the location to list payments for. If you specify me, this endpoint returns payments aggregated from all of the business&#39;s locations.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :order The order in which payments are listed in the response.
  # @option opts [String] :begin_time The beginning of the requested reporting period, in ISO 8601 format. If this value is before January 1, 2013 (2013-01-01T00:00:00Z), this endpoint returns an error. Default value: The current time minus one year.
  # @option opts [String] :end_time The end of the requested reporting period, in ISO 8601 format. If this value is more than one year greater than begin_time, this endpoint returns an error. Default value: The current time.
  # @option opts [Integer] :limit The maximum number of payments to return in a single response. This value cannot exceed 200.
  # @return [Array<V1Payment>]
  describe 'list_payments test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_refunds
  # Provides the details for all refunds initiated by a merchant or any of the merchant&#39;s mobile staff during a date range. Date ranges cannot exceed one year in length.
  # Provides the details for all refunds initiated by a merchant or any of the merchant&#39;s mobile staff during a date range. Date ranges cannot exceed one year in length.
  # @param location_id The ID of the location to list refunds for.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :order TThe order in which payments are listed in the response.
  # @option opts [String] :begin_time The beginning of the requested reporting period, in ISO 8601 format. If this value is before January 1, 2013 (2013-01-01T00:00:00Z), this endpoint returns an error. Default value: The current time minus one year.
  # @option opts [String] :end_time The end of the requested reporting period, in ISO 8601 format. If this value is more than one year greater than begin_time, this endpoint returns an error. Default value: The current time.
  # @option opts [Integer] :limit The maximum number of payments to return in a single response. This value cannot exceed 200.
  # @return [Array<V1Refund>]
  describe 'list_refunds test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_settlements
  # Provides summary information for all deposits and withdrawals initiated by Square to a merchant&#39;s bank account during a date range. Date ranges cannot exceed one year in length.
  # Provides summary information for all deposits and withdrawals initiated by Square to a merchant&#39;s bank account during a date range. Date ranges cannot exceed one year in length.
  # @param location_id The ID of the location to list settlements for. If you specify me, this endpoint returns payments aggregated from all of the business&#39;s locations.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :order TThe order in which payments are listed in the response.
  # @option opts [String] :begin_time The beginning of the requested reporting period, in ISO 8601 format. If this value is before January 1, 2013 (2013-01-01T00:00:00Z), this endpoint returns an error. Default value: The current time minus one year.
  # @option opts [String] :end_time The end of the requested reporting period, in ISO 8601 format. If this value is more than one year greater than begin_time, this endpoint returns an error. Default value: The current time.
  # @option opts [Integer] :limit The maximum number of payments to return in a single response. This value cannot exceed 200.
  # @option opts [String] :status Provide this parameter to retrieve only settlements with a particular status (SENT or FAILED).
  # @return [Array<V1Settlement>]
  describe 'list_settlements test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for retrieve_bank_account
  # Provides non-confidential details for a merchant&#39;s associated bank account. This endpoint does not provide full bank account numbers, and there is no way to obtain a full bank account number with the Connect API.
  # Provides non-confidential details for a merchant&#39;s associated bank account. This endpoint does not provide full bank account numbers, and there is no way to obtain a full bank account number with the Connect API.
  # @param location_id The ID of the bank account&#39;s associated location.
  # @param bank_account_id The bank account&#39;s Square-issued ID. You obtain this value from Settlement objects returned.
  # @param [Hash] opts the optional parameters
  # @return [V1BankAccount]
  describe 'retrieve_bank_account test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for retrieve_order
  # Provides comprehensive information for a single online store order, including the order&#39;s history.
  # Provides comprehensive information for a single online store order, including the order&#39;s history.
  # @param location_id The ID of the order&#39;s associated location.
  # @param order_id The order&#39;s Square-issued ID. You obtain this value from Order objects returned by the List Orders endpoint
  # @param [Hash] opts the optional parameters
  # @return [V1Order]
  describe 'retrieve_order test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for retrieve_payment
  # Provides comprehensive information for a single payment.
  # Provides comprehensive information for a single payment.
  # @param location_id The ID of the payment&#39;s associated location.
  # @param payment_id The payment&#39;s Square-issued ID. You obtain this value from Payment objects returned by the List Payments endpoint, or Settlement objects returned by the List Settlements endpoint.
  # @param [Hash] opts the optional parameters
  # @return [V1Payment]
  describe 'retrieve_payment test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for retrieve_settlement
  # Provides comprehensive information for a single settlement, including the entries that contribute to the settlement&#39;s total.
  # Provides comprehensive information for a single settlement, including the entries that contribute to the settlement&#39;s total.
  # @param location_id The ID of the settlements&#39;s associated location.
  # @param settlement_id The settlement&#39;s Square-issued ID. You obtain this value from Settlement objects returned by the List Settlements endpoint.
  # @param [Hash] opts the optional parameters
  # @return [V1Settlement]
  describe 'retrieve_settlement test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_order
  # Updates the details of an online store order. Every update you perform on an order corresponds to one of three actions:
  # Updates the details of an online store order. Every update you perform on an order corresponds to one of three actions:
  # @param location_id The ID of the order&#39;s associated location.
  # @param order_id The order&#39;s Square-issued ID. You obtain this value from Order objects returned by the List Orders endpoint
  # @param body An object containing the fields to POST for the request.  See the corresponding object definition for field details.
  # @param [Hash] opts the optional parameters
  # @return [V1Order]
  describe 'update_order test' do
    it "should work" do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
